Liblinphone: linphone::VideoDefinition Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::VideoDefinition Class Reference

This object represents a video definition, eg. More...

`#include <video_definition.hh>`

Inheritance diagram for linphone::VideoDefinition:

## Public Member Functions
LINPHONECXX_PUBLIC | VideoDefinition (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneVideoDefinition * | cPtr ()
LINPHONECXX_PUBLIC unsigned int | getHeight () const
| Get the height of the video definition.
LINPHONECXX_PUBLIC void | setHeight (unsigned int height)
| Set the height of the video definition.
LINPHONECXX_PUBLIC bool | isUndefined () const
| Tells whether a VideoDefinition is undefined.
LINPHONECXX_PUBLIC std::string | getName () const
| Get the name of the video definition.
LINPHONECXX_PUBLIC void | setName (const std::string &name)
| Set the name of the video definition.
LINPHONECXX_PUBLIC unsigned int | getWidth () const
| Get the width of the video definition.
LINPHONECXX_PUBLIC void | setWidth (unsigned int width)
| Set the width of the video definition.
LINPHONECXX_PUBLIC std::shared_ptr< linphone::VideoDefinition > | clone () const
| Clone a video definition.
LINPHONECXX_PUBLIC bool | equals (const std::shared_ptr< const linphone::VideoDefinition > &videoDefinition2) const
| Tells whether two VideoDefinition objects are equal (the widths and the heights are the same but can be switched).
LINPHONECXX_PUBLIC void | setDefinition (unsigned int width, unsigned int height)
| Set the width and the height of the video definition.
LINPHONECXX_PUBLIC bool | strictEquals (const std::shared_ptr< const linphone::VideoDefinition > &videoDefinition2) const
| Tells whether two VideoDefinition objects are strictly equal (the widths are the same and the heights are the same).

## Detailed Description

This object represents a video definition, eg.

it's width, it's height and possibly it's name. It is mostly used to configure the default video size sent by your camera during a video call with Core::setPreferredVideoDefinition() method.

## Member Function Documentation

## ◆ clone()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::VideoDefinition > linphone::VideoDefinition::clone | ( |  | ) | const

Clone a video definition.

Returns
  The new clone of the video definition

## ◆ equals()

LINPHONECXX_PUBLIC bool linphone::VideoDefinition::equals | ( | const std::shared_ptr< const linphone::VideoDefinition > & | videoDefinition2 | ) | const

Tells whether two VideoDefinition objects are equal (the widths and the heights are the same but can be switched).

Parameters

  videoDefinition2 | VideoDefinition object

Returns
  A boolean value telling whether the two VideoDefinition objects are equal.

## ◆ getHeight()

LINPHONECXX_PUBLIC unsigned int linphone::VideoDefinition::getHeight | ( |  | ) | const

Get the height of the video definition.

Returns
  The height of the video definition

## ◆ getName()

LINPHONECXX_PUBLIC std::string linphone::VideoDefinition::getName | ( |  | ) | const

Get the name of the video definition.

Returns
  The name of the video definition

## ◆ getWidth()

LINPHONECXX_PUBLIC unsigned int linphone::VideoDefinition::getWidth | ( |  | ) | const

Get the width of the video definition.

Returns
  The width of the video definition

## ◆ isUndefined()

LINPHONECXX_PUBLIC bool linphone::VideoDefinition::isUndefined | ( |  | ) | const

Tells whether a VideoDefinition is undefined.

Returns
  A boolean value telling whether the VideoDefinition is undefined.

## ◆ setDefinition()

LINPHONECXX_PUBLIC void linphone::VideoDefinition::setDefinition | ( | unsigned int | width,
|  | unsigned int | height )

Set the width and the height of the video definition.

Parameters

  width | The width of the video definition
  height | The height of the video definition

## ◆ setHeight()

LINPHONECXX_PUBLIC void linphone::VideoDefinition::setHeight | ( | unsigned int | height | ) |

Set the height of the video definition.

Parameters

  height | The height of the video definition

## ◆ setName()

LINPHONECXX_PUBLIC void linphone::VideoDefinition::setName | ( | const std::string & | name | ) |

Set the name of the video definition.

Parameters

  name | The name of the video definition

## ◆ setWidth()

LINPHONECXX_PUBLIC void linphone::VideoDefinition::setWidth | ( | unsigned int | width | ) |

Set the width of the video definition.

Parameters

  width | The width of the video definition

## ◆ strictEquals()

LINPHONECXX_PUBLIC bool linphone::VideoDefinition::strictEquals | ( | const std::shared_ptr< const linphone::VideoDefinition > & | videoDefinition2 | ) | const

Tells whether two VideoDefinition objects are strictly equal (the widths are the same and the heights are the same).

Parameters

  videoDefinition2 | VideoDefinition object

Returns
  A boolean value telling whether the two VideoDefinition objects are strictly equal.

The documentation for this class was generated from the following file:

- video_definition.hh